import {axios} from '@/util/axios/request'

const api = {
  getPage: '/base/user/list',
  getDetail: '/base/user/',
  deleteOne: '/base/user/',
  deleteBatch: '/base/user/batch/del',
  save: '/base/user',
  getConsumePage: '/base/user/consume/list',
}

export default api

export function getPage(parameter) {
  return axios({
    url: api.getPage,
    method: 'post',
    data: parameter
  })
}

export function getDetail(id) {
  return axios({
    url: api.getDetail + id,
    method: 'get',
    useFullLoading: true
  })
}

export function deleteOne(id) {
  return axios({
    url: api.deleteOne + id,
    method: 'delete',
  })
}


export function save(data) {
  return axios({
    url: api.save,
    method: 'post',
    data: data,
    useFullLoading: true
  })
}


export function deleteBatch(parameter) {
  return axios({
    url: api.deleteBatch,
    method: 'post',
    data: parameter
  })
}

export function getConsumePage(parameter) {
  return axios({
    url: api.getConsumePage,
    method: 'post',
    data: parameter
  })
}
